#include "Particle.h"
#include "Level.h"



Particle::Particle()
{
  TexSection = LD::TEX_PARTICLE;
  Color = 0xffffff00;
}



void Particle::Update( Level& theLevel, float ElapsedTime )
{
  FractPos += Speed * ElapsedTime;
  AdjustFractPos();

  Unit::Update( theLevel, ElapsedTime );
}



void Particle::UpdateFixedTimeStep( Level& theLevel )
{
  Speed *= 0.98f;
}